/*
 * This file specifies whole configuration of sitegin.
 * In future it might actually read configuration files but for now - if you
 * want to configure sitegin you have to modify this file.
 * (or write config reader which would replace this file - I'd appreciate
 * merge request for this feature ;) )
 */

module.exports = function() {
  var builddir = "build";
  if(process.argv[2] !== "compileonly") builddir = "build-debug";
  var watch = true;
  if(process.argv[2] == "compileonly") watch = false;

  return Promise.resolve({
    config: {
      builddir: builddir,
      watch: watch,
      articlesLocation: 'content/articles',
      linksPerPage: 6
    }
  })
}
