var jobs = require('./jobs');

module.exports = function(config) {
  return jobs.registerMultiple(
    config,
    ['config', './config'],
    ['gitInfo', './gitInfo'],
    ['markdown', './markdown'],
    ['parseHugo', './parseHugo'],
    ['print', './print'],
    ['readFiles', './readFiles'],
    ['toURL', './toURL'],
    ['tags', './tags'],

    ['pipeline','./pipeline']
  )
  .then(function() {
    return jobs;
  })
}
